Doesn't install language-packs

Bug #841712 reported by Alexander Hunziker on 2011-09-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
language-selector (Ubuntu)
Undecided
Gunnar Hjalmarsson

Bug Description

When I try to install additional spelling dictionaries, language-packs or input methods using language-selector 0.50, the program doesnt succeed in installing those packages. Upon confirming my choice, the UI is greyed out and the mouse pointer will show the program is busy, but the installation progress doesn't start. When interrupting the program using Ctrl-C, the following trace appears:

^CTraceback (most recent call last):
  File "/usr/lib/python2.7/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 1021, in on_button_apply_clicked
    if self.commitAllChanges() > 0:
  File "/usr/lib/python2.7/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 589, in commitAllChanges
    self.commit(inst_list, rm_list)
  File "/usr/lib/python2.7/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 626, in commit_aptdaemon
    self._wait_for_aptdaemon_finish()
  File "/usr/lib/python2.7/dist-packages/LanguageSelector/gtk/GtkLanguageSelector.py", line 604, in _wait_for_aptdaemon_finish
    time.sleep(0.02)
KeyboardInterrupt

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: language-selector 0.50
ProcVersionSignature: Ubuntu 3.0.0-10.16-generic 3.0.4
Uname: Linux 3.0.0-10-generic x86_64
Architecture: amd64
Date: Mon Sep 5 12:24:04 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
PackageArchitecture: all
SourcePackage: language-selector
UpgradeStatus: Upgraded to oneiric on 2011-08-27 (9 days ago)

Gunnar Hjalmarsson (gunnarhj) wrote :

Thanks for your help to make Ubuntu better by reporting this issue.

The code for installing and removing languages etc. have recently been tweaked. A package build with the latest code (proposed, not yet uploaded) is available in my PPA at https://launchpad.net/~gunnarhj/+archive/misc
Even if I'm not sure, I think that the issues you have experienced should now be fixed. It would be great if you could install the just mentioned package and let us know if it works as expected.

Changed in language-selector (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: New → In Progress

Gunnar, I can confirm that the version from your PPA works. I see the UI is simplified so that input methods, translations and spell checking cannot be selected individually anymore. That confused me a bit at first, because I'm used to the old way, but in the interest of a UI which is easy to understand I think that's actually beneficial.

Gunnar Hjalmarsson (gunnarhj) wrote :

Great! Thanks both for letting us know that it works and for your feedback on the design change.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.54

---------------
language-selector (0.54) oneiric; urgency=low

  * data/LanguageSelector.ui:
    - Reference to the handler "on_treeview_languages_cursor_changed",
      which was removed in v. 0.53, dropped (LP: #859961).
    - Property "relief" for help button reinserted.
  * LanguageSelector/LangCache.py [change not affecting KDE]:
    - Don't confuse the UI by testing whether dropped metapackages
      are installed. Makes a difference on upgraded systems where
      (traces of) such packages are left on disk from previous
      language installations (should affect LP: #841712).
 -- Gunnar Hjalmarsson <email address hidden> Wed, 28 Sep 2011 17:21:13 +0200

Changed in language-selector (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers